#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#include "gobexftp.h"


void
on_button_download_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
	if (GTK_CLIST(user_data)->selection != NULL)
		gtk_widget_show (create_download_fileselection ());
}


void
on_button_upload_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
	gtk_widget_show (create_upload_fileselection ());
}


void
on_button_rename_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
	if (GTK_CLIST(user_data)->selection != NULL)
		gtk_widget_show (create_rename_dialog ());
}


void
on_button_delete_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
	if (GTK_CLIST(user_data)->selection != NULL)
		gtk_widget_show (create_delete_dialog ());

}


void
on_entry_device_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
	gchar *device = gtk_entry_get_text (GTK_ENTRY (editable));
	gobexftp_set_device (device);
}


void
on_button_connect_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
	gobexftp_connect ();
	gobexftp_info ();
	gobexftp_clear ();
	gobexftp_list ();
}


void
on_button_disconnect_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
	gobexftp_disconnect ();
	gobexftp_clear ();
}


void
on_upload_ok_button_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
	gobexftp_upload (gtk_file_selection_get_filename (GTK_FILE_SELECTION(user_data)));
}


void
on_download_ok_button_clicked          (GtkButton       *button,
                                        gpointer         user_data)
{
	gobexftp_download (gtk_file_selection_get_filename (GTK_FILE_SELECTION(user_data)));
}


void
on_rename_ok_button_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
	gobexftp_rename (gtk_entry_get_text (GTK_ENTRY (user_data)));
}


void
on_delete_ok_button_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
	gobexftp_delete ();
}

