/*
 * main.c - GObexFtp main
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"

#include "gobexftp.h"

GtkWidget *gobexftp;
GtkWidget *combo;

int
main (int argc, char *argv[])
{
	GList *items = NULL;
	GtkWidget *widget;

	GtkPixmap *folder_opened_icon;
	GtkPixmap *folder_closed_icon;
	GtkPixmap *file_icon;

	GtkPixmap *busy1_pixmap;
	GtkPixmap *busy2_pixmap;
	GtkPixmap *idle_pixmap;

	gtk_set_locale ();
	gtk_init (&argc, &argv);

	add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
	add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

	/* create gui */
	gobexftp = create_gobexftp ();

	/* set widgets for callbacks */
	widget = lookup_widget (gobexftp, "statusbar");
	gobexftp_set_statusbar (widget);
	widget = lookup_widget (gobexftp, "memorybar");
	gobexftp_set_memorybar (widget);
	widget = lookup_widget (gobexftp, "ctree");
	gobexftp_set_ctree (widget);
	widget = lookup_widget (gobexftp, "busy_pixmap");
	gobexftp_set_busy (widget);

	/* list the devices dynamic sometime */
	combo = lookup_widget (gobexftp, "combo_device");
	items = g_list_append (items, "/dev/ttyS0");
	items = g_list_append (items, "/dev/ttyS1");
	items = g_list_append (items, "IRDA");
	gtk_combo_set_popdown_strings (GTK_COMBO (combo), items);

	/* load icons */
	folder_opened_icon = (GtkPixmap *) create_pixmap (gobexftp, "icon_folder_opened_20x20.xpm");
	folder_closed_icon = (GtkPixmap *) create_pixmap (gobexftp, "icon_folder_closed_20x20.xpm");
	file_icon = (GtkPixmap *) create_pixmap (gobexftp, "icon_file_20x20.xpm");
	gobexftp_set_icons (folder_opened_icon, folder_closed_icon, file_icon);

	/* load pixmaps */
	busy1_pixmap = (GtkPixmap *) create_pixmap (gobexftp, "pixmap_red1_24x24.xpm");
	busy2_pixmap = (GtkPixmap *) create_pixmap (gobexftp, "pixmap_red2_24x24.xpm");
	idle_pixmap = (GtkPixmap *) create_pixmap (gobexftp, "pixmap_green_24x24.xpm");
	gobexftp_set_pixmaps (busy1_pixmap, busy2_pixmap, idle_pixmap);

	/* show gui */
	gtk_widget_show (gobexftp);
	gtk_main ();

	return 0;
}

